Bug 478521 - Can't load driver from floopy driverdisk successfully with FC10, but FC7 can load driver from driverdisk successfully
Can't load driver from floopy driverdisk successfully with FC10, but FC7 can ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 04:04 EST by cwshi
Modified: 2010-12-05 02:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:03:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FC7 entire content of anaconda.log file (14.90 KB, application/octet-stream)
2009-01-05 23:03 EST, cwshi
no flags Details

  None (edit)
Description cwshi 2008-12-31 04:04:47 EST
Description of problem:
We build a floppy driverdisk for FC10 to load drive before install OS FC10.
The driver in floppy driverdisk can't be loaded successfully with FC10.
We also tried to build a driverdisk for OS FC7 and FC7 can load driver from floppy driverdisk successfully.

Version-Release number of selected component (if applicable):
anaconda-11.4.0.82-1

Steps to Reproduce:
1. Boot from FC10 installation CD/DVD
2. When OS install menu appears, press button "tab" to keyin parameter
3. Keyin parameter "dd" to load driver from driverdisk and press "Enter" to continue install FC10
4. System appears "Do you have a driver disk?" message box and answer "Yes"
5. System appears "Insert your driver disk into /dev/fd0 and press OK to continue" message box and answer "OK"
6. System appears "Reading driver disk..." message box and wait
7. System appears "Do you wish to load any more driver disks?" message box
8. Press button "Ctrl+Alt+F3" or "Ctrl+Alt+F4" to check driver loaded from driverdisk successfully.
  
Actual results:
anaconda with FC10 can't load driver from driverdisk successfully.
Note: We tried the same method to build a floppy driverdisk for FC7.
driverdisk of FC7 can load driver from floppy successfully.
(FC7 modules.cgz content: 2.6.21-1.3194.fc7\i586\pata_via.ko)

Expected results:
anaconda with FC10 can load driver from driverdisk.

Additional info:
Following listed is the FC10 driverdisk Content:
------------------------------------------------------------------------
1.       rhdd:
VIA IDE Controller driver disk
------------------------------------------------------------------------
2.       modinfo:
Version 0
pata_via
     scsi
     “VIA IDE Controller”
------------------------------------------------------------------------
3.       modules.cgz
2.6.27.5-117.fc10.i586/pata_via.ko
------------------------------------------------------------------------
4.       modules.dep
pata_via:
5.       modules.alias
alias pci:v00001106d00005324sv*sd*bc*sc*i* pata_via
alias pci:v00001106d00003164sv*sd*bc*sc*i* pata_via
alias pci:v00001106d00000571sv*sd*bc*sc*i* pata_via
alias pci:v00001106d00001571sv*sd*bc*sc*i* pata_via
------------------------------------------------------------------------
6.       modules.pcimap
pata_via             0x00001106 0x00001571 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0
pata_via             0x00001106 0x00000571 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0
pata_via             0x00001106 0x00003164 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0
pata_via             0x00001106 0x00005324 0xffffffff 0xffffffff 0x00000000 0x00000000 0x0
------------------------------------------------------------------------
7.       pci.ids
1106  VIA Technologies, Inc.
           5324  CX700M2 IDE
           3164  VT6410 ATA133 RAID controller
           0571  VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE
           1571  VT82C576M/VT82C586
------------------------------------------------------------------------
8.       pcitable
0x1106 0x5324       "pata_via"     "CX700M2 IDE"
0x1106 0x3164       "pata_via"     "VT6410 ATA133 RAID controller"
0x1106 0x0571       "pata_via"           "VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE"
0x1106 0x1571       "pata_via"           "VT82C576M/VT82C586"
Comment 1 Chris Lumens 2009-01-05 11:01:48 EST
Please attach /tmp/anaconda.log to this bug report so we can see what could be going wrong.
Comment 2 cwshi 2009-01-05 23:01:42 EST
Attached content is FC10 and FC7 anaconda log.
Please refer following content and Thanks for your help.

fc10_anaconda.log
10:56:34 INFO    : kernel command line: initrd=initrd.img dd text loglevel=debug BOOT_IMAGE=vmlinuz 

10:56:34 INFO    : text mode forced from cmdline
10:56:34 DEBUG   : no ifcfg files found in /etc/sysconfig/network-scripts
10:56:34 INFO    : anaconda version 11.4.1.62 on i386 starting
10:56:34 INFO    : 447976 kB are available
10:56:42 INFO    : trying to mount fd0
10:57:15 DEBUG   : probing buses
10:57:15 DEBUG   : waiting for hardware to initialize
10:57:37 DEBUG   : probing buses
10:57:37 DEBUG   : waiting for hardware to initialize
10:57:39 INFO    : trying to mount CD device /dev/sr0 on /mnt/stage2
10:57:39 INFO    : drive status is CDS_DISC_OK
10:57:52 INFO    : mounted loopback device /mnt/runtime on /dev/loop0 as /mnt/stage2/images/install.img
10:57:52 INFO    : Looking for updates in /mnt/stage2/images/updates.img
10:57:52 INFO    : Looking for product in /mnt/stage2/images/product.img
10:57:52 INFO    : Detected stage 2 image on CD (url: cdrom:///dev/sr0:/mnt/stage2)
10:57:55 INFO    : stage2 url is cdrom:///dev/sr0:/mnt/stage2
10:57:56 INFO    : Loading SELinux policy
10:57:57 INFO    : getting ready to spawn shell now
10:57:59 INFO    : Running anaconda script /usr/bin/anaconda
10:58:13 INFO    : using only installclass _Fedora
10:58:13 INFO    : anaconda called with cmdline = ['/usr/bin/anaconda', '--stage2', 'cdrom:///dev/sr0:/mnt/stage2', '-T', '--selinux', '--loglevel', 'debug']
10:58:13 INFO    : Display mode = t
10:58:13 INFO    : ISCSID is /usr/sbin/iscsid
10:58:13 INFO    : ISCSIADM is /usr/sbin/iscsiadm
10:58:13 DEBUG   : queryFirmware: ISCSIADM is /usr/sbin/iscsiadm
10:58:14 INFO    : ISCSID is /usr/sbin/iscsid
10:58:14 INFO    : ISCSIADM is /usr/sbin/iscsiadm
10:58:14 DEBUG   : queryFirmware: ISCSIADM is /usr/sbin/iscsiadm
10:58:14 INFO    : Detected 448M of memory
10:58:14 INFO    : Swap attempt of 448M to 896M
10:58:14 WARNING : step installtype does not exist
10:58:14 WARNING : step confirminstall does not exist
10:58:14 WARNING : step complete does not exist
10:58:14 INFO    : moving (1) to step welcome
===============================================================================
fc7_anaconda.log
...........
...........
...........
11:17:00 INFO    : modules to insert mii via-rhine libata pata_via
11:17:00 DEBUG   : getModuleLocation: 2.6.21-1.3194.fc7/i586
11:17:00 INFO    : module libata found on driver disk VIA IDE Controller driver disk.
11:17:00 INFO    : loaded libata from /tmp/ramfs/DD-0/modules.cgz
11:17:00 INFO    : module pata_via found on driver disk VIA IDE Controller driver disk.
11:17:00 INFO    : loaded pata_via from /tmp/ramfs/DD-0/modules.cgz
11:17:00 DEBUG   : module(s) mii via-rhine not found
11:17:00 INFO    : going to rmmod usb-storage
11:17:01 INFO    : inserted /tmp/libata.ko
11:17:01 INFO    : inserted /tmp/pata_via.ko
...........
...........
...........
Comment 3 cwshi 2009-01-05 23:03:09 EST
Created attachment 328247 [details]
FC7 entire content of anaconda.log file
Comment 4 Martin Sivák 2009-02-10 08:16:10 EST
According to my testing, mounting the DD and copying the contents into our ramdisk works OK.

Now.. let me try the modules recognition and loading, I'll be back as soon as I get any results. But you can also help me with testing.

Load the driver disk as usual and give me the contents of mod* files in /tmp/DD-0 and the /etc/modprobe.d/anaconda file from your machine during instalation.
Comment 5 cwshi 2009-02-11 09:09:36 EST
I tried to load driverdisk upon FC10 and got following result.
And thanks for your help.

========================================================================
***** Files List of /tmp/DD-0:
1.       rhdd
2.       modinfo
3.       modules.cgz
4.       modules.dep
5.       modules.alias
6.       modules.pcimap
7.       pci.ids
8.       pcitable
========================================================================
***** Files Content of /tmp/DD-0/mod*:
2. modinfo
Version 0
pata_via
     scsi
     “VIA IDE Controller”
------------------------------------------------------------------------
3.       modules.cgz
2.6.27.5-117.fc10.i586/pata_via.ko
------------------------------------------------------------------------
4.       modules.dep
pata_via:
------------------------------------------------------------------------
5.       modules.alias
alias pci:v00001106d00005324sv*sd*bc*sc*i* pata_via
alias pci:v00001106d00003164sv*sd*bc*sc*i* pata_via
alias pci:v00001106d00000571sv*sd*bc*sc*i* pata_via
alias pci:v00001106d00001571sv*sd*bc*sc*i* pata_via
------------------------------------------------------------------------
6.       modules.pcimap
pata_via             0x00001106 0x00001571 0xffffffff 0xffffffff 0x00000000
0x00000000 0x0
pata_via             0x00001106 0x00000571 0xffffffff 0xffffffff 0x00000000
0x00000000 0x0
pata_via             0x00001106 0x00003164 0xffffffff 0xffffffff 0x00000000
0x00000000 0x0
pata_via             0x00001106 0x00005324 0xffffffff 0xffffffff 0x00000000
0x00000000 0x0
========================================================================
***** Files Content of /etc/modprobe.d/anaconda
Only shows "#Module options and blacklists written by anaconda"
Comment 6 Joel Andres Granados 2009-09-09 07:31:57 EDT
Is this still an issue for f12 alpha or later?
Comment 7 Martin Sivák 2009-09-09 09:12:16 EDT
Joel, we are changing the driver disc format for F12. So it makes no sense testing it now. I'll update the bug when we have something to show.
Comment 8 Bug Zapper 2009-11-16 04:45:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Chris Lumens 2010-01-20 13:52:25 EST
Probably worth checking this one out now that the new driver disk stuff is in.
Comment 10 Bug Zapper 2010-11-04 07:34:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 02:03:29 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.